Bug 209690

Summary: net/chrony: update to 2.3
Product: Ports & Packages Reporter: Yonas Yanfa <yonas>
Component: Individual Port(s)Assignee: Kurt Jaeger <pi>
Status: Closed FIXED    
Severity: Affects Many People CC: masaki, pi
Priority: --- Flags: pi: maintainer-feedback-
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch pi: maintainer-approval? (masaki)

Description Yonas Yanfa 2016-05-22 03:11:37 UTC
Chrony 2.3 was release on February 16, 2016:

https://download.tuxfamily.org/chrony/chrony-2.3.tar.gz
Comment 1 Kurt Jaeger freebsd_committer 2016-05-22 08:35:21 UTC
Created attachment 170539 [details]
patch

testbuilds are fine, portlint is fine.
Comment 2 Kurt Jaeger freebsd_committer 2016-05-22 08:36:13 UTC
Changes: http://chrony.tuxfamily.org/news.html
Comment 3 Yonas Yanfa 2016-06-01 06:51:24 UTC
@Kurt I was looking at the history of changes for this port:

http://www.freshports.org/net/chrony

and it always says "maintainer timeout" next to the maintainer's email (masaki@club.kyutech.ac.jp).

Does this mean the maintainer isn't responding?

The domain "club.kyutech.ac.jp" doesn't seem to be registered anymore, so he's not getting any bugzilla notifications.

If so, we probably need a new maintainer. I'll volunteer to take over.
Comment 4 Yonas Yanfa 2016-06-01 06:58:39 UTC
Also, it would be good if we had a script that checked to make sure maintainers are still alive.

For example, we could send them an email with a link they would need to click on once every X months.

The only problem might be, it would be an excellent email for a phishing attack if maintainers get used to just clicking the link without thinking.
Comment 5 Kurt Jaeger freebsd_committer 2016-06-01 15:49:55 UTC
(In reply to Yonas Yanfa from comment #3)
> Does this mean the maintainer isn't responding?
Yes.

> The domain "club.kyutech.ac.jp" doesn't seem to be registered anymore,

There are valid MXes:

club.kyutech.ac.jp mail is handled by 20 sunny.club.kyutech.ac.jp.
club.kyutech.ac.jp mail is handled by 10 lapis.club.kyutech.ac.jp.

> If so, we probably need a new maintainer. I'll volunteer to take over.

If this PR times out, I'll change the maintainer to your address.

Please note that the maintainer has other ports:

http://portscout.freebsd.org/masaki@club.kyutech.ac.jp.html

which are probably stale, as well.
Comment 6 Kurt Jaeger freebsd_committer 2016-06-01 15:54:01 UTC
(In reply to Yonas Yanfa from comment #4)
If software would check commit messages for ports and flag those ports
where the commit message has a sequence of three timeouts, that
would probably be sufficient. No need for keep-alive-mails 8-}
Comment 7 Yonas Yanfa 2016-06-01 23:29:16 UTC
(In reply to Kurt Jaeger from comment #5)

Sounds good. I'd be happy to take over for http_get, http_post, and mod_spdy as well.

For the other ports:

- japanese/spamassassin: I can't test it because I don't know Japanese :)
- net/packter-agent: is... just weird. Probably the world's first 3D anime packet analyzer.
- net/reposado: I cant' test it because I don't have a Mac (donations accepted :P)
Comment 8 Yonas Yanfa 2016-06-01 23:30:46 UTC
(In reply to Kurt Jaeger from comment #6)

Very good idea :) I'll see what I can come up with.

Do I need to scrape web pages, or is there a database/files I can scan?
Comment 9 Kurt Jaeger freebsd_committer 2016-06-04 11:57:30 UTC
(In reply to Yonas Yanfa from comment #8)
the svn commit log messages are a potential source, no ?
Comment 10 Yonas Yanfa 2016-06-04 12:44:24 UTC
(In reply to Kurt Jaeger from comment #9)

Yup, that'll work, thanks :)
Comment 11 commit-hook freebsd_committer 2016-06-05 03:35:48 UTC
A commit references this bug:

Author: pi
Date: Sun Jun  5 03:35:27 UTC 2016
New revision: 416385
URL: https://svnweb.freebsd.org/changeset/ports/416385

Log:
  net/chrony: 2.2 -> 2.3

  - submitter becomes maintainer after repeated maintainer timeouts

  Enhancements
  - Add support for NTP and command response rate limiting
  - Add support for dropping root privileges on Mac OS X, FreeBSD, Solaris
  - Add require and trust options for source selection
  - Enable logchange by default (1 second threshold)
  - Set RTC on Mac OS X with rtcsync directive
  - Allow binding to NTP port after dropping root privileges on NetBSD
  - Drop CAP_NET_BIND_SERVICE capability on Linux when NTP port is disabled
  - Resolve names in separate process when seccomp filter is enabled
  - Replace old records in client log when memory limit is reached
  - Don't reveal local time and synchronisation state in client packets
  - Don't keep client sockets open for longer than necessary
  - Ignore poll in KoD RATE packets as ntpd doesn't always set it correctly
  - Warn when using keys shorter than 80 bits
  - Add keygen command to generate random keys easily
  - Add serverstats command to report NTP and command packet statistics

  Bug fixes
  - Fix clock correction after making step on Mac OS X
  - Fix building on Solaris

  PR:		209690
  Submitted by:	Yonas Yanfa <yonas@fizk.net)
  Approved by:	masaki@club.kyutech.ac.jp (maintainer timeout)

Changes:
  head/net/chrony/Makefile
  head/net/chrony/distinfo
Comment 12 Kurt Jaeger freebsd_committer 2016-06-05 03:36:23 UTC
Committed, thanks!